ru.bitel.common.model

## Class Period

- java.lang.Object
- - ru.bitel.common.model.Period

- All Implemented Interfaces:
    java.lang.Comparable<Period>

      public class Period
      extends java.lang.Object
      implements java.lang.Comparable<Period>

  Класс-модель "период".

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Period()`
    `Period(java.util.Date fromDate, java.util.Date toDate)`
    `Period(int year, int month, int dayFrom, int dayTo)` Создает период по году, месяцу, дню начала и окончания.
    `Period(java.time.LocalDate localDateFrom, java.time.LocalDate localDateTo)`
    `Period(long startEpoch, long stopEpoch)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Period period)`
    `java.util.Date` | `getDateFrom()` Возвращает дату начала периода.
    `java.util.Calendar` | `getDateFromCalendar()` Возвращает календарь, соответствующий началу периода.
    `java.util.Date` | `getDateTo()` Возвращает дату конца периода.
    `java.util.Calendar` | `getDateToCalendar()` Возвращает календарь, соответствующий концу периода.
    `java.time.LocalDate` | `getLocalDateFrom()`
    `java.time.LocalDate` | `getLocalDateTo()`
    `int` | `getMonthFrom()` Возращает порядковый номер месяца, начала периода ()
    `int` | `getYearFrom()`
    `void` | `setDateFrom(java.util.Date date)` Устанавливает дату начала периода.
    `void` | `setDateTo(java.util.Date date)` Устанавливает дату конца периода.
    `void` | `setLocalDateFrom(java.time.LocalDate localDate)`
    `void` | `setLocalDateTo(java.time.LocalDate localDate)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Period

          public Period()

    - #### Period

          public Period(java.util.Date fromDate,
                        java.util.Date toDate)

    - #### Period

          public Period(java.time.LocalDate localDateFrom,
                        java.time.LocalDate localDateTo)

    - #### Period

          public Period(long startEpoch,
                        long stopEpoch)

      Parameters:
        `startEpoch` - - количество секунд от 01-01-1970
        `stopEpoch` - - количество секунд от 01-01-1970

    - #### Period

          public Period(int year,
                        int month,
                        int dayFrom,
                        int dayTo)

      Создает период по году, месяцу, дню начала и окончания.
      Parameters:
        `year` - - год
        `month` - - 0-based месяц (то есть январю соответствует 0)
        `day_from` - - день начала
        `day_to` - - день окончания (если взять заведомо большое, то обрежется до актуального максимума этого месяца)

  - ### Method Detail

    - #### getDateFrom

          public java.util.Date getDateFrom()

      Возвращает дату начала периода.
      Returns:
        дата начала периода.

    - #### setDateFrom

          public void setDateFrom(java.util.Date date)

      Устанавливает дату начала периода.
      Parameters:
        `date` -

    - #### getLocalDateFrom

          public java.time.LocalDate getLocalDateFrom()

    - #### setLocalDateFrom

          public void setLocalDateFrom(java.time.LocalDate localDate)

    - #### getMonthFrom

          public int getMonthFrom()

      Возращает порядковый номер месяца, начала периода ()
      Returns:

    - #### getYearFrom

          public int getYearFrom()

    - #### getDateTo

          public java.util.Date getDateTo()

      Возвращает дату конца периода.
      Returns:
        дата конца периода.

    - #### setDateTo

          public void setDateTo(java.util.Date date)

      Устанавливает дату конца периода.
      Parameters:
        `date` -

    - #### getLocalDateTo

          public java.time.LocalDate getLocalDateTo()

    - #### setLocalDateTo

          public void setLocalDateTo(java.time.LocalDate localDate)

    - #### getDateFromCalendar

          public java.util.Calendar getDateFromCalendar()

      Возвращает календарь, соответствующий началу периода.
      Returns:
        календарь, соответствующий началу периода.

    - #### getDateToCalendar

          public java.util.Calendar getDateToCalendar()

      Возвращает календарь, соответствующий концу периода.
      Returns:
        календарь, соответствующий концу периода.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Period period)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Period>`